# Class CIM_VideoSetting
extends CIM_ElementSetting

Note: The use of the CIM_VideoSetting class has been deprecated in lieu of CIM_ElementSetting. Deprecated description: VideoSetting associates the VideoControllerResolution Setting with the Controllers to which it applies.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementSetting
|
+--CIM_VideoSetting

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementSetting
Description | string | Note: The use of the CIM_VideoSetting class has been deprecated in lieu of CIM_ElementSetting. Deprecated description: VideoSetting associates the VideoControllerResolution Setting with the Controllers to which it applies.
UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Element | CIM_VideoSetting | CIM_VideoController
Setting | CIM_VideoSetting | CIM_VideoControllerResolution

## Class Methods